package com.kym.service.miniapp;

import com.kym.entity.platform.response.PlatformBusinessPolicy;
import com.kym.entity.miniapp.ChargeOrder;

import java.time.LocalDateTime;
import java.util.Map;

/**
 * @author skyline
 * @description
 * @date 2023-08-07 17:06
 */
public interface ChargeService {

    void cancelBookingByConnector(String connectorId);


    Map<String, String> queryStartCharge(Long userId, String connectorId, Long userRechargeRightsId, Long userCouponId,Boolean isBooking, LocalDateTime startTime, LocalDateTime endTime);

    void updateEquipmentAndConnectorStatus(String connectorId);

    ChargeOrder queryEquipChargeStatus();

    void queryStopCharge(long userId, String connectorId);

    PlatformBusinessPolicy queryEquipBusinessPolicy(String connectorId);

    Map<String, String> immediatelyCharge(String connectorId);

    void modifyBookingTime(String startChargeSeq, LocalDateTime startTime);

    void cancelBooking();
}
